<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "twilio_blocked_numbers".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TwilioBlockedNumbers".
 *
 * Columns in table "twilio_blocked_numbers" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $number
 * @property integer $twilio_partner_id
 *
 */
abstract class BaseTwilioBlockedNumbers extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'twilio_blocked_numbers';
    }

    public static function representingColumn()
    {
        return 'number';
    }

    public function rules()
    {
        return array(
            array('number', 'required'),
            array('twilio_partner_id', 'numerical', 'integerOnly' => true),
            array('number', 'length', 'max' => 14),
            array('twilio_partner_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, number, twilio_partner_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {

        return array('twilioPartner' => array(self::BELONGS_TO, 'TwilioPartner', 'twilio_partner_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'number' => Yii::t('app', 'Number'),
            'twilio_partner_id' => Yii::t('app', 'Twilio Partner'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('number', $this->number, true);
        $criteria->compare('twilio_partner_id', $this->twilio_partner_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => 100)
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'TwilioBlockedNumbers|TwilioBlockedNumbers', $n);
    }

}
